<?php
$no_http_headers = true;

/* display No errors */
error_reporting(E_ERROR);

include_once(dirname(__FILE__) . "/../include/config.php");
include_once(dirname(__FILE__) . "/../lib/snmp.php");

if (!isset($called_by_script_server)) {
        array_shift($_SERVER["argv"]);
        print call_user_func_array("ss_mem_conn", $_SERVER["argv"]);
}

function ss_mem_conn($hostname) {

         $snmp_community = "public";
         $snmp_version = "1";
         $snmp_port = "161";
         $snmp_timeout = "1000";

         if (($snmp_version == "1" | $snmp_version == "2")) {
              $snmpv3_auth_username = "";
              $snmpv3_auth_password = "";
              $snmpv3_auth_protocol = "";
              $snmpv3_priv_passphrase = "";
              $snmpv3_priv_protocol = "";
         }
        $oids = array(
                "chassisMemTotal" => ".1.3.6.1.4.1.529.2.6.5.0",
                "chassisMemAvaible" => ".1.3.6.1.4.1.529.2.6.6.0",
                "chassisMemThreshold" => ".1.3.6.1.4.1.529.2.6.7.0",
                );
       $first = ".1.3.6.1.4.1.529.12.2.1.6.";
       $conn = 0;
       $result = "";

    for ( $i=1; $i<=121; $i++ ){
        $var_a = (cacti_snmp_get($hostname, $snmp_community, $first.$i, $snmp_version, $snmp_port, $snmp_timeout, SNMP_POLLER));
        if ( $var_a == 3 ) $conn++;
    }

         for ($i=0;$i<(count($oids));$i++) {
          $row = each($oids);
          $var = (cacti_snmp_get($hostname, $snmp_community, $row["value"], $snmp_version, $snmpv3_auth_username, $snmpv3_auth_password, $snmp_port, $snmp_timeout, SNMP_POLLER));
          $result = is_numeric($var) ? ( $result . $row["key"] . ":" . $var . " ") : ($result . $row["key"] . ":NaN ");
        }
        $result = " Connected : " . $conn . " - ". $result;
        return trim($result);
}
?>
